#include "SDL.h"
#include "SDL_ttf.h"
#include <sstream>

#include "constants.h"
#include "globals.h"
#include "functions.h"
#include "score.h"

Score::Score() {
	Score::scoreP1 = 0;
	Score::scoreP2 = 0;
}

int Score::score_p1() {
	return Score::scoreP1;
}

int Score::score_p2() {
	return Score::scoreP2;
}

void Score::point_p1() {
	Score::scoreP1++;
}

void Score::point_p2() {
	Score::scoreP2++;
}

void Score::points_reset() {
	Score::scoreP1 = 0;
	Score::scoreP2 = 0;
}

void Score::display_score() {
	int tX;

	std::stringstream scoreText1;
	scoreText1 << Score::scoreP1;
	tSurface = TTF_RenderText_Solid(scoreFont, scoreText1.str().c_str(), clrGreenSDL);

	tX = (SCR_WIDTH / 2) - (DASH_WIDTH / 2) - DASH_WIDTH - tSurface->w;
	apply_surface(tSurface, screen, tX, 30);

	std::stringstream scoreText2;
	scoreText2 << Score::scoreP2;
	tSurface = TTF_RenderText_Solid(scoreFont, scoreText2.str().c_str(), clrGreenSDL);

	tX = (SCR_WIDTH / 2) + (DASH_WIDTH / 2) + DASH_WIDTH;
	apply_surface(tSurface, screen, tX, 30);
}