#include "SDL.h"
#include "timer.h"

Timer::Timer() {
	Timer::startTicks = 0;
	Timer::pausedTicks = 0;
	
	Timer::started = false;
	Timer::paused = false;
}

int Timer::get_ticks() {
	if (Timer::started) {
		if (Timer::paused) {
			return Timer::pausedTicks;
		} else {
			return SDL_GetTicks() - Timer::startTicks;
		}
	}

	return 0;
}

bool Timer::is_paused() {
	return Timer::paused;
}

bool Timer::is_started() {
	return Timer::started;
}

void Timer::start_timer() {
	Timer::startTicks = SDL_GetTicks();
	Timer::pausedTicks = 0;
	
	Timer::started = true;
	Timer::paused = false;
}

void Timer::pause_timer() {
	if (Timer::paused != true) {
		Timer::pausedTicks = SDL_GetTicks() - Timer::startTicks;
		Timer::startTicks = 0;
	
		Timer::paused = true;
	}
}

void Timer::resume_timer() {
	if (Timer::paused) {
		Timer::startTicks = SDL_GetTicks() - Timer::pausedTicks;
		Timer::pausedTicks = 0;

		Timer::paused = false;
	}
}

void Timer::reset_timer() {
	Timer::startTicks = 0;
	Timer::pausedTicks = 0;

	Timer::started = false;
	Timer::paused = false;
}